<?php
/**
 * @package		Joomla
 * @copyright	Copyright (C) 2013 IPrice web solutions. All rights reserved.
 * @license		GNU/GPL, see LICENSE.php
*/

//J4 for using Uri::getInstance(); instead of JFactory::getURI();
use Joomla\CMS\Uri\Uri;

defined( '_JEXEC' ) or die( 'Restricted access' );

jimport('joomla.html.html.bootstrap');

$itemid	= JFactory::getApplication()->input->getVar('Itemid', '');

$introtext = $this->params->get('introtext','');
$headertext = $this->params->get('headertext','');
$decimal = (int) $this->params->get('decimal','2');
$decimalsep = $this->params->get('decimalsep','.');
$thousandsep = $this->params->get('thousandsep',' ');
$showsesc = (int)$this->params->get('showdesc','1');

$showprices = (int) $this->params->get('showprices','1');
$showcattotal = (int) $this->params->get('showcattotal','1');
$showshortdesc = (int) $this->params->get('showshortdesc','1');
$zeropricetext = JText::_($this->params->get('zeropricemess',''));

$gdefqty = (int) $this->params->get('defqty','0');
$gstepqty = (int) $this->params->get('stepqty','1');

$gmaxqty = (int) $this->params->get('maxqty','0');
$gminqty = (int) $this->params->get('minqty','0');

$aid	= JFactory::getUser()->get('id');
if ( !$aid && (int)$this->params->get('showprices_registered',0) )
	$showprices = 0;
	
$numselitems = (int) $this->params->get('numselitems','0');
$usetabs  =  (int) $this->params->get('use_tabs','1');

$totalratio = (float) str_replace(',','.', $this->params->get('totalratio','0'));
$showtotalratio = (int)$this->params->get('showtotalratio','1');
$totalratioview = (int) $this->params->get('totalratioview','0');

if ($totalratio) {
	if ($totalratioview==1)
		$totalratiodisplay = ($totalratio-1)*100 . '%';
	else 
		$totalratiodisplay = (string) $totalratio;
}

$sym = trim($this->curr->symbol);
if ($this->curr->symplace) {
  $currmask = $sym.($this->curr->usespace == 1 ? " " : "" ).'%s';
  $currmaskjs = "'".$sym."'+".($this->curr->usespace == 1 ? "' '+" : "" )."%s";
}
else {
  $currmask = '%s'.($this->curr->usespace == 1 ? " " : "" ).$sym;
  $currmaskjs = "%s".($this->curr->usespace == 1 ? "+' '" : "" )."+'".$sym."'";
}

$user	  = JFactory::getUser();	
	
$doc = JFactory::getDocument();
$doc->addStyleSheet(  JURI::base(true)."/components/com_ipricecalc/views/price/tmpl/ipricecalc.css" );

JFactory::getDocument()->addScriptDeclaration( 
"
function ip_onClickItem(id){
	if (!window.jQuery) {
		if (id.style.display == '') id.style.display='none'; else id.style.display='';
	} else
		jQuery( id ).slideToggle(300);
}
");
	
?>

<script language="javascript" type="text/javascript">
// JavaScript Document

String.prototype.repeat=function(n)
{
  var r='';
  if (typeof(n)=='number') 
    for (var i=1; i<=n; i++) r+=this;
  return r;
}

Number.prototype.isInt=function()
{
  return (Math.round(this)==this);
}

Number.prototype.roundTo=function(n)
{
  var x=0;
  if (typeof(n)=='number')
    if (n.isInt())
      if (n>=-6 && n<=6) x=n;
  x=Math.pow(10,x);
  return Math.round(this*x)/x;
}

// old variant with zero adding
Number.prototype.toFloatStr=function(n,thousand,decimal)
{
 var s,d=0,k,m;
  if (typeof(n)=='number')
    if (n.isInt())
      if (n>=-6 && n<=6) d=n;
  s=this.roundTo(d).toString().replace('.',decimal);
  if (d>0)
  {
    k=s.indexOf(decimal);
    if (k==-1)
      s+=decimal+'0'.repeat(d);
    else
      s+='0'.repeat(d-(s.length-k-1));
  }
  k=s.indexOf(decimal);
  if (k==-1) k=s.length;
  m=s.indexOf('-');
  if (m==-1)
    m=0;
  else
    m=1;
  if (thousand)
    for (d=k-3;d>m;d=d-3)
    {
      s=s.substr(0,d)+thousand+s.substr(d,s.length-d+1);
    }
  return s;
}

var numselitems = <?php echo (int)$numselitems; ?>;

if (!numselitems) numselitems = 1;

function form_hasValue(object, obj_type, optional_1, optional_2, optional_3) {
	switch (obj_type) {
		case "TEXT":
			if (object.value.length < 5) {return false;}
			return true;
		case "EMAIL":
			if (object.value.search(/^\w+((-\w+)|(\.\w+))*\@[A-Za-z0-9]+((\.|-)[A-Za-z0-9]+)*\.[A-Za-z0-9]+$/) == -1) {return false;}
			return true;
		case "TEXTAREA":
			if (object.value.length < 1) {return false;}
			return true;
		case "SELECT":
	        for (i=0; i < object.length; i++) {
				if (object.options[i].selected && object.options[object.selectedIndex].value != 0 ) {return true;}
			}
			return false;
		case "SINGLE_VALUE_RADIO":
			if (object.checked) {return true;}
			return false;
		case "SINGLE_VALUE_CHECKBOX":
			if (object.checked) {return true;}
			return false;
		case "RADIO":
	        for (i=0; i < object.length; i++) {
				if (object[i].checked) {return true;}
			}
	    	return false;
		case "CHECKBOX":
	        for (i=0; i < object.length; i++) {
				if (object[i].checked) {return true;}
			}
	    	return false;
		case "INTEGER":
			if (object.value.length == 0) {return false;}
			else {
				if (object.value.search(/^\d+$/) == -1) {return false;}
			}
			return true;
		case "NUMBER":
			if (object.value.search(/^\-?\+?\d*\.?\d+$/) == -1) {return false;}
			return true;
		case "PHONE_NUMBER":
			if (object.value.search(/^[ \+\-\(\)\d]{5,}$/) == -1) {return false;}
			return true;
		case "SELECTNOTZERO":
	        for (i=0; i < object.length; i++) {
				if (object.options[i].selected) {
					if(object.options[i].value != 0) {return true;}
				}
			}
			return false;
	}
}

function checkHaveValues (checkList) {
	var loopLength = checkList.length / 3;
	for (x=0;x<loopLength;x++) {
		var message = checkList[(x*3)];
		var checkItem = checkList[(x*3)+1];
		var type = checkList[(x*3)+2];
		if (!form_hasValue(checkItem,type)) {
			alert(message);
			if (checkItem.type == "TEXT" || checkItem.type == "PASSWORD") {
				checkItem.focus();
			}
			return false;
		}
	}
	return true;
}

function ipricevalidate(formName) {
	if (!checkHaveValues(new Array(
		"<?php echo JText::_('Contact_person_needed');?>",formName.fio,"TEXT",
		"<?php echo JText::_('Phone_number_needed');?>",formName.phone,"TEXT",
		"<?php echo JText::_('Correct_email_needed');?>",formName.email,"EMAIL")))
	{return false;}
	else {
		formName.submit();
		return true;
	}
	
}

function show_desc(iid) {
	if (iid.style.display == '') iid.style.display='none'; else iid.style.display='';
};

var price_list=new Array();

var max_qty=new Array();
var min_qty=new Array();

var discamounts=new Array();
var discs=new Array();

function initprice(){
<?php 
	$curcatnum = -1;
	$itemnum = -1;
	$itemind = -1;
	$curcat = '';
	foreach ($this->items as $item) {
		
		if (!$item->minqty)
			$item->minqty = $gminqty;
		if (!$item->maxqty)
			$item->maxqty = $gmaxqty;
		
		$itemnum++;
		$itemind++;
	    if ($curcat != $item->category) {
			$curcatnum++;
			$itemnum = 0;
		   	$curcat = $item->category;
		   	echo ('price_list['.$curcatnum.'] = new Array();'."\n");
		};
		echo ("	price_list[".$curcatnum."][".$itemnum."] = ".$item->cost."; ");
		if ($item->maxqty != 0)
			echo (' max_qty['.$itemind.'] = '.$item->maxqty.'; '."\n");
		if ($item->minqty != 0)
			echo (' min_qty['.$itemind.'] = '.$item->minqty.'; '."\n");
		
	}
	echo ("\n");
	$itemnum=0;
	foreach ($this->discs as $key=>$value) 
	{
	   	echo ('discamounts['.$itemnum.'] = '.$value.';');
		echo (' discs['.$itemnum.'] = '.(int)$key.'; '."\n");
		$itemnum++;
	}
?>
}

function check_event(checknum){
	var sum_ = new Array();
		var j;
		var jj = 0;
		var numsel = 0;
		var qty;
		
		for (var i = 0; i < price_list.length; i++){
			sum_[i]=0;
			for (j = 0; j < price_list[i].length; j++){
				tot=0;
				qty = 0;
				i_type = document.getElementById('itemtype_'+jj).value;
				if (i_type == 0)
					inp = document.getElementById('i_box_'+jj);
				else if (i_type == 1)
					inp = document.getElementById('i_'+jj);
				else
					inp = document.getElementById('i_radio_'+jj);
				
				if((i_type == 0 || i_type == 2) && inp.checked) {
					numsel++;
					tot = price_list[i][j];
					qty = 1;
				}
				else if (i_type == 1 && inp.value != '0') {
					numsel++;
					tot = price_list[i][j] * inp.value;
					qty = 1*inp.value;
					
				};
				
				if (typeof max_qty[jj] !== 'undefined' && qty > max_qty[jj])
				{
					alert("<?php echo JText::_('SELECT_MORE_THAN_ALLOWS') ?>"+" "+max_qty[jj]);
					inp.value = max_qty[jj];
					inp.focus();
					return false;
				}
				
				if (typeof min_qty[jj] !== 'undefined' && qty < min_qty[jj])
				{
					alert("<?php echo JText::_('SELECT_LESS_THAN_ALLOWS') ?>"+" "+min_qty[jj]);
					inp.value = min_qty[jj];
					inp.focus();
					return false;
				}
				
				
				sum_[i] = sum_[i] + tot;
				el = document.getElementById('total_'+jj);
				if (el)
					el.innerHTML = <?php echo sprintf($currmaskjs,'tot.toFloatStr('.$decimal.',"'.$thousandsep.'","'.$decimalsep.'")');?>;
				jj++;
			};
		};
		var SUM=0,zero=0;
		for(i=0; i<price_list.length;i++) {
			SUM = SUM + sum_[i];
			el = document.getElementById('results_'+i);
			if (el) {
				el.innerHTML = <?php echo sprintf($currmaskjs,'zero.toFloatStr('.$decimal.',"'.$thousandsep.'","'.$decimalsep.'")');?>;
/*				if (numsel >= numselitems)*/
					el.innerHTML = <?php echo sprintf($currmaskjs,'sum_[i].toFloatStr('.$decimal.',"'.$thousandsep.'","'.$decimalsep.'")');?>;
			}
		}
		elr = document.getElementById('results_bottom');
		elg = document.getElementById('grandtotal');
		if (elr)
			elr.innerHTML = <?php echo sprintf($currmaskjs,'zero.toFloatStr('.$decimal.',"'.$thousandsep.'","'.$decimalsep.'")');?>;
		<?php if ($totalratio) { ?>
			if (elg)
				elg.innerHTML = <?php echo sprintf($currmaskjs,'zero.toFloatStr('.$decimal.',"'.$thousandsep.'","'.$decimalsep.'")');?>;
		<?php } ?>
		<?php if (count($this->discs)) { ?>
			dse = document.getElementById('ip_disc_name');
			if (dse)
				dse.innerHTML = '';
			dse = document.getElementById('ip_disc_amount');
			if (dse)
				dse.innerHTML = <?php echo sprintf($currmaskjs,'zero.toFloatStr('.$decimal.',"'.$thousandsep.'","'.$decimalsep.'")');?>;;
		<?php } ?>
		
		if (numsel >= numselitems)
		{
			disc = 0;
			for (i=0;i<discamounts.length;i++) {
				if (SUM >= discamounts[i]) {
					disc = discs[i];
					break;
				}
			}
			if (disc!=0)
			{
				dse = document.getElementById('ip_disc_name');
				if (dse)
					dse.innerHTML = disc+'%';
				discsum = SUM/100*disc;
				dse = document.getElementById('ip_disc_amount');
				if (dse)
					dse.innerHTML = <?php echo sprintf($currmaskjs,'discsum.toFloatStr('.$decimal.',"'.$thousandsep.'","'.$decimalsep.'")');?>;
				SUM = SUM - discsum;
			}
			
			if (elr)
				elr.innerHTML = <?php echo sprintf($currmaskjs,'SUM.toFloatStr('.$decimal.',"'.$thousandsep.'","'.$decimalsep.'")');?>;

			<?php if ($totalratio) { ?>
				SUM = SUM * <?php echo $totalratio; ?>;
				if (elg)				
					elg.innerHTML = <?php echo sprintf($currmaskjs,'SUM.toFloatStr('.$decimal.',"'.$thousandsep.'","'.$decimalsep.'")');?>;
			<?php } ?>
		}
		if (checknum && numsel < numselitems) {
			alert("<?php echo JText::_('NEEDED_ITEMS_NOT_SELECTED') ?>"+" "+numselitems);
			return false;
		} else
			return true;
};

function ip_sel_all(catnum, obj)
{
	
	var jj = 0;
	for (var i = 0; (i < catnum && i < price_list.length); i++)
	{
		jj = jj + price_list[i].length;
	}
	
	for (j = 0; j < price_list[catnum].length; j++)
	{
		i_type = document.getElementById('itemtype_'+jj).value;
		
		if (i_type == 0)
		{
			inp = document.getElementById('i_box_'+jj);
			if (obj.checked) inp.checked = true; else inp.checked = false;
			
		}
		else if (i_type == 1)
		{
			inp = document.getElementById('i_'+jj);
			if (obj.checked) inp.value = "1"; else inp.value = "";
		}
		else
		{
			inp = document.getElementById('i_radio_'+jj);
			if (obj.checked) inp.checked = true; else inp.checked = false;
		}
		jj++;
	}
	check_event(false);
}

</script>

<?php
	
	if ($headertext) { ?>
		<h2><?php echo $headertext;?></h2>
	<?php 
	}
	
	if ($introtext) { ?>
		<div class="iprice_intro"><?php echo $introtext;?></div>
	<?php 
	}
?>	

<form action="index.php?option=com_ipricecalc" name="filter_form" id="filter_form" method="post" >
<?php 
	$currselect = (int)$this->params->get('showcurrselect','2');
	if ($currselect) {
		JHTMLIpriceList::currSelectorHTML($this->curr->currcode);
		echo '<div style="clear:both"></div>';
	}		
?>
<input type="hidden" name="redir" value="<?php echo urlencode(Uri::getInstance()->toString());?>" />
<input type="hidden" name="task" value="submitfilter" />
<?php echo JHTML::_( 'form.token' ); ?>
</form>

<form action="" name="calc_form" method="POST" >


<script language="javascript" type="text/javascript">

function pressplus(objid, step) 
{
	step = parseFloat(step);
	if ( isNaN(step) || step==0) 
		step = 1;
	var qty_el = document.getElementById(objid); 
	var rqty = parseFloat(qty_el.value);
	if( isNaN(rqty)) 
		rqty = 0
	if( !isNaN( qty_el.value )) qty_el.value=rqty+step; else qty_el.value=1;
	check_event(false);
}
function pressminus(objid, step) 
{
	step = parseFloat(step);
	if ( isNaN(step) || step==0) 
		step = 1;
	var qty_el = document.getElementById(objid); 
	var rqty = parseFloat(qty_el.value);	
	if( isNaN(rqty)) 
		rqty = 0
	if( !isNaN( qty_el.value ) && rqty-step>=0) qty_el.value=rqty-step; else qty_el.value=0;
	check_event(false);
}
</script>		


<?php 

defined( '_JEXEC' ) or die( 'Restricted access' );

	$i = -1;
	$curcatnum = -1;
	$itemnum = -1;
	$curcat = '';
	$totalcolspan = 1;
	$totalpricecolspan = 1;
	$delimcolspan = 2;
	$headerHTML = '<table class="tablenoborder ipricetable" width="100%" border="0" align="center" cellPadding=3 cellSpacing=0 >'."\n";
	$headerHTML .= '<tr class="tablzag3"><td class="tablzag3">'.JText::_('Item_name').'</td>';
	if ($showshortdesc) 
	{
		if ((int) $this->params->get('allowhide_sortdesc','1'))
			$hdfclass = " ip-hide-field ";
		else
			$hdfclass = "";
		$totalcolspan = $totalcolspan+1;
		$delimcolspan = $delimcolspan+1;
		$headerHTML .= '<td class="tablzag3 ip-description'.$hdfclass.'" align="center">'.JText::_('Short_description').'</td>';
	}
	
	for ($ii=1;$ii<=5;$ii++) 
	{
		$caption = $this->params->get('captionfield'.$ii,'');
		if ($caption) 
		{
			if ((int) $this->params->get('allowhide_field'.$ii,'1'))
				$hdfclass = " ip-hide-field ";
			else
				$hdfclass = "";
			$cssclass = 'ip-field'.$ii;
			$headerHTML .= '<td class="tablzag3 '.$cssclass.$hdfclass.'" align="center">'.JText::_($caption).'</td>';
			$totalcolspan = $totalcolspan+1;
			$delimcolspan = $delimcolspan+1;			
		}
	}
	
	
	$headerHTML .= '<td align=center class="tablzag3">'.JText::_('Select').'</td>';
	if ($showprices) 
	{
		if ((int) $this->params->get('allowhide_price','1'))
			$hdfclass = " ip-extra-hide-field ";
		else
			$hdfclass = "";
		$headerHTML .= '<td align=center class="tablzag3 ip-price-column'.$hdfclass.'">'.JText::_('Cost').'</td>';
		
		if ((int) $this->params->get('allowhide_total','0'))
			$hdfclass = " ip-extra-hide-field ";
		else
			$hdfclass = "";
		$headerHTML .= '<td align=center class="tablzag3 '.$hdfclass.'">'.JText::_('Total').'</td>';
		
		$totalcolspan = $totalcolspan+2;
		$totalpricecolspan = 0;
		$delimcolspan = $delimcolspan+2;
	}
	$headerHTML .= '</tr>'."\n";
	
	if ($usetabs) 
	{
		
		echo JHtml::_('bootstrap.startTabSet', 'myTab', array('active' => 'cat0'));
		//echo JHtml::_('bootstrap.addTab', 'myTab', 'cat0', $this->items[0]->category);
		/*J4
		$ccnum = -1;
		$catid=-1;
		echo '<ul class="nav nav-tabs" id="myTab">';
		foreach ($this->items as $item)
			if ($catid != $item->catid) {
				$ccnum++;
				$catid = $item->catid;
				echo  '<li '.($ccnum==0 ? 'class="active"' : '').'><a data-toggle="tab" href="#cat'.$ccnum.'">'.$item->category.'</a></li>';
			}
		echo '</ul>';
		echo JHtml::_('bootstrap.startPane', 'myTab', array('active' => 'cat0'));
		*/
	} else 
		echo $headerHTML;
	
	
	foreach ($this->items as $item) :
		$i++;
		$itemnum++;
		
		if (!$item->defqty)
			$item->defqty = $gdefqty;
		if (!$item->stepqty)
			$item->stepqty = $gstepqty;
		
		if ($item->qtydisabled || $item->selectdisabled)
			$disqty = ' disabled ';
		else
			$disqty = '';
		
	    if ($curcat != $item->category) 
		{
			$curcatnum++;
			$itemnum = 0;
		   	
			if ($curcatnum>0) { ?>
				<?php if ($showprices && $showcattotal) { ?>			
				<tr>
					<td colspan="<?php echo $delimcolspan;?>" align="right" valign="middle" class="tablitogo" >
					<?php echo JText::_('Subtotals').' "'.$curcat.'"' ?> : <span id="results_<?php echo ($curcatnum-1);?>" ><?php echo sprintf($currmask,number_format(0,$decimal, $decimalsep, $thousandsep))?></span>
					</td>
				</tr>
				<?php } ?>
				<!--
				<tr>
					<td colspan="<?php echo $delimcolspan;?>" align="right" class="tabldelim"></td>
				</tr>
				-->
				<?php 
				if ($usetabs) 
				{
					echo '</table>';
					
					//echo JHtml::_('bootstrap.endPanel');
					//J4
					echo JHtml::_('bootstrap.endTab');
				}
			}
			$curcat = $item->category;
			if ($usetabs) 
			{
				//echo JHtml::_('bootstrap.addPanel', 'myTab', 'cat'.$curcatnum);
				//J4
				echo JHtml::_('bootstrap.addTab', 'myTab', 'cat'.$curcatnum, $item->category);
				echo $headerHTML;
			}
			$selallbutton='';
			if ((int) $this->params->get('showselallcat','1'))
			{
				$selallbutton = '<span class="ip-sel-all-area"><input type="checkbox" onclick="ip_sel_all('.$curcatnum.', this);" /> '.JText::_('IP_SELECT_ALL').'</span>';
			}
			echo ('<tr><td colspan="'.$delimcolspan.'" class="tablzag2" >'.$item->category.$selallbutton.'</td></tr>');
		};
	?>		
	<tr valign="middle">
		<td width="30%" align="left"   class="tablchet">
			<div align="left">
			<?php if ($item->description && $showsesc>0) { ?>
			
				<a href="javascript:ip_onClickItem(document.getElementById('d_<?php echo $item->id;?>'));" class="tablchet" >
				
			<?php } ?>
			
				<span class="tablcheta"><?php echo $item->name;?></span>
					
			<?php if ($item->description && $showsesc>0) { ?>
			
				</a>
				
			<?php } ?>
			</div>
		</td>
		
		<?php 
		if ($showshortdesc) 
		{ 
			if ((int) $this->params->get('allowhide_sortdesc','1'))
				$hdfclass = " ip-hide-field ";
			else
				$hdfclass = "";
		?>
			
		<td align="left" class="tablchet ip-description<?php echo $hdfclass; ?>">
			<div align="center"><?php echo $item->shortdesc ?></div>
		</td>
			
		<?php } ?>
		
		<?php 
		for ($ii=1;$ii<=5;$ii++) 
		{
			$caption = $this->params->get('captionfield'.$ii,'');
			if ($caption) 
			{ 
				if ((int) $this->params->get('allowhide_field'.$ii,'1'))
					$hdfclass = " ip-hide-field ";
				else
					$hdfclass = "";
				$fieldname = 'field'.$ii;
				$cssclass = 'ip-field'.$ii;
				?>
			
<td class="tablchet ipricecustfield <?php echo $cssclass.$hdfclass; ?>">
	<?php echo $item->$fieldname; ?>
</td>

			<?php }
		}?>
		
		
	  	<td width="10%" align="center" nowrap="nowrap">
		
		<?php 
		if ($item->showcount==1) 
		{ 
			if (!$item->qtysellist || $item->selectdisabled || $item->qtydisabled)
			{	
				if (!$item->selectdisabled && !$item->qtysellist) 
				{ ?>
			
					<div class="minus" onClick="pressminus('i_<?php echo ($i);?>', <?php echo $item->stepqty;?>)">-</div>
				
				<?php } ?>
				
				<input type="text" maxlength="5" onFocus="if (this.value=='0') this.value='';" onBlur="if (this.value=='') this.value='0';" 
					onchange="check_event(false)" class="inputprice" value="<?php echo $item->defqty;?>" 
					id="i_<?php echo ($i);?>" name="i_<?php echo ($i);?>" <?php echo $disqty;?> />
					
				<?php if (!$item->selectdisabled && !$item->qtysellist) 
				{ ?>
		
					<div class="plus" onClick="pressplus('i_<?php echo ($i);?>', <?php echo $item->stepqty;?>)">+</div>
				
				<?php }
			} else 
				{
					$options = trim($item->qtysellist);
					$optionhtml = "";
					if ($options && $options!="-") 
					{
						$options=StringHelper::str_ireplace(";",",", $options);
						$options=explode(",", $options);
						$iii = 0;
						foreach ($options as $key=>$ivalue) 
						{
							$checked="";
							if ($iii==0 && !$item->count) 
								$checked=" selected='selected' ";
							elseif ($ivalue === $item->count) 
								$checked=" selected='selected' ";
							$optionhtml .= "<option value='$ivalue' $checked>$ivalue</option>\n";
							$iii++;
						}
						$javascript = ($showprices ? ' onchange="check_event(false)"' : '' );
						echo "<select class='iprop-select' id='i_".$i."' name='i_".$i."' ".$javascript." >\n" . $optionhtml . "</select>\n";
					}
				}
				
		} elseif ($item->showcount==2) { ?>			
				<input type="radio" onclick="check_event(false)"
					id="i_radio_<?php echo ($i);?>" name="i_radio_<?php echo ($item->radiogroup);?>" value="<?php echo ($item->id);?>" <?php echo $disqty;?> <?php echo ($item->defqty>0 ? ' checked="checked" ' : '');?>/>
		<?php } else { ?>							
				<input type="checkbox" onclick="check_event(false)"	id="i_box_<?php echo ($i);?>" name="i_box_<?php echo ($i);?>" <?php echo $disqty;?> <?php echo ($item->defqty>0 ? ' checked="checked" ' : '');?> />
		<?php } ?>											
			<input type="hidden" name="itemid_<?php echo ($i);?>" value="<?php echo $item->id; ?>" />
			<input type="hidden" name="itemtype_<?php echo ($i);?>" id="itemtype_<?php echo ($i);?>"  value="<?php echo $item->showcount; ?>" />
	    </td>
		
		
		<?php if ($showprices) 
		{ 
			if ((int) $this->params->get('allowhide_price','1'))
				$hdfclassprice = " ip-extra-hide-field ";
			else
				$hdfclassprice = "";
			if ((int) $this->params->get('allowhide_total','0'))
				$hdfclasstotal = " ip-extra-hide-field ";
			else
				$hdfclasstotal = "";
			?>
			
			<td width="15%" align="right" class="ip-price-column<?php echo $hdfclassprice;?>">
				<nobr class="tablchet"><?php
				
				if ($zeropricetext && $item->cost == 0)
					echo $zeropricetext;
				else
					echo sprintf($currmask,number_format($item->cost,$decimal, $decimalsep, $thousandsep));
				?></nobr>
			</td>
			<td width="15%" align="right" class="ip-total-column<?php echo $hdfclasstotal;?>">
			
				<?php 
				if ($zeropricetext && $item->cost == 0)
					echo '&nbsp;';
				else { ?>
					<span id="total_<?php echo ($i);?>" class="tablchet" ><?php echo sprintf($currmask,number_format(0,$decimal, $decimalsep, $thousandsep));?></span>
				<?php }?>
			
			</td>
		<?php } ?>
	</tr>	
	<tr>
	  	<td colspan="<?php echo $delimcolspan;?>" align="left"  class="tabldiv" >
		<?php if ($item->description && $showsesc>0) { ?>
	  		<div align="justify" class="tabldiv" id="d_<?php echo $item->id;?>" 
				<?php echo ($showsesc==1 ? ' style="display: none;" ' : '');?> name="d_<?php echo $item->id;?>"><?php echo $item->description; ?></div>
		<?php } ?>
		</td>
    </tr>
	

<?php endforeach;
if ($showprices && $showcattotal) {
if ($curcatnum>-1) : ?>
	<tr>
		<td colspan="<?php echo $delimcolspan;?>"  align="right" valign="middle" class="tablitogo" ><?php echo JText::_('Subtotals').' "'.$curcat?>" : <span id="results_<?php echo ($curcatnum);?>" ><?php echo sprintf($currmask,number_format(0,$decimal, $decimalsep, $thousandsep));?></span></td>
	</tr>
<?php endif; ?>
<?php } 

if ($curcatnum>-1) 
{
	if ($usetabs) 
	{
		echo '</table>'."\n";	
		
		//echo JHtml::_('bootstrap.endPanel');
		//echo JHtml::_('bootstrap.endPane');
		//J4
		echo JHtml::_('bootstrap.endTab');
		echo JHtml::_('bootstrap.endTabSet');
	}
}

if ($showprices) { 
	if ($usetabs)
  		echo '<table class="tablenoborder ipricetable" width="100%" border="0" align="center" cellPadding=3 cellSpacing=0 >'."\n";

if (count($this->discs)) {
?>
  <tr><td <?php echo ($usetabs ? '' : ' colspan="'.$delimcolspan.'" ' );?> align="right" class="tabldelim" ></td></tr>
  <tr>
	<td <?php echo ($usetabs ? '' : ' colspan="'.$delimcolspan.'" ' );?> align="right" width="15%" class="tablitogo"><?php echo JText::_('IP_DISCOINT');?> : <span id="ip_disc_name"></span> : <span class="textwarn" id="ip_disc_amount"><?php echo sprintf($currmask,number_format(0,$decimal, $decimalsep, $thousandsep));?></span></td>
  </tr>
<?php } ?>  

  <tr>
	<td <?php echo ($usetabs ? '' : ' colspan="'.$delimcolspan.'" ' );?> align="right" class="tabldelim" ></td>
  </tr>
  <tr>
	<td <?php echo ($usetabs ? '' : ' colspan="'.$delimcolspan.'" ' );?> align="right" width="15%" class="tablitogo"><?php echo JText::_('Totals');?> : <span class="textwarn" id="results_bottom"><?php echo sprintf($currmask,number_format(0,$decimal, $decimalsep, $thousandsep));?></span></td>
  </tr>

<?php 
	if ($usetabs)
		echo '</table>';
}

if (!$usetabs)
  	echo '</table>';


if ($totalratio && showprices) : ?>

<table class="tablenoborder ipricetable" width="100%" border=0 align=center cellPadding=3 cellSpacing=0 VALIGN="TOP">
<?php if ($showtotalratio) : ?>
	<tr><td class="tabldelim" ></td></tr>
	<tr>
		<td align="right" valign="middle" class="tablitogo" ><?php echo JText::_('Total_ratio'); ?> </td>
		<td width="20%"  align="right" valign="middle" class="tablitogo" ><?php echo $totalratiodisplay;?></td>
	</tr>
<?php endif; ?>	
  <tr><td class="tabldelim" ></td></tr>
  <tr>
    <td align="right" class="tablitogo"><?php echo JText::_('Grand_total');?></td>
	<td width="20%" align="right" class="tablitogo"><span class="textwarn" id="grandtotal"><?php echo number_format(0,$decimal, $decimalsep, $thousandsep);?></span></td>
  </tr>
</table>	

<?php endif; ?>

<br />
<center><input type="button" id="preorder" class="btn btn-primary" onclick="if (!check_event(true)) return false; document.getElementById('order_dat').style.display=''; style.display='none'" value="<?php echo JText::_('Preorder');?>" />
</center>
<br>
<div style="display: none;" id="order_dat" name="order_dat">

<table class="tablenoborder ipricetable" cellSpacing="0" cellPadding="0" width="100%"  border="0" align="center">
<tr >
	<td class="tablzag2"><?php echo JText::_('Contact_info');?></td>
</tr>
<tr><td>
<table class="tablenoborder ipricetable" cellpadding=0 cellspacing=0 width=100% border=0>
	<tr class="tablchet" >
	  <td align=right class="tablchet">&nbsp;</td>
	  <td class="tablchet">&nbsp;</td>
	  </tr>
	<tr class="tablchet" >
		<td align=right width=200px class="tablchet"><?php echo JText::_('Contact_person');?><span class="textwarn">*</span>:</td>
		<td class="tablchet"><input name="fio"  maxlength="90"  type=text value="<?php echo $user->get('name',''); ?>" class="form" /></td>
	</tr>
	<tr class="tablchet" >
		<td align=right width=200px class="tablchet"><?php echo JText::_('Company_name');?></td>
		<td class="tablchet"><input name="firm"   maxlength="90" type=text class="form"  value="" /></td>
	</tr>
	<tr class="tablchet" >
		<td align=right width=200px class="tablchet"><?php echo JText::_('PHONE_NUMBER');?><span class="textwarn">*</span>:</td>
		<td class="tablchet"><input name="phone"   maxlength="60" type=text class="form" value="" /></td>
	</tr>
	<tr class="tablchet" >
		<td align=right width=200px class="tablchet" ><?php echo JText::_('EMail');?><span class="textwarn">*</span>:</td>
		<td class="tablchet" ><input name="email" type=text   maxlength="60" value="<?php echo $user->get('email','') ;?>" class="form" /></td>
	</tr>
	<tr class="tablchet" >
		<td align=right width=200px class="tablchet"><?php echo JText::_('Comments');?></td>
		<td class="tablchet" ><textarea name="comments" cols="50" rows=5 class="textarea" ></textarea></td>
	</tr>
	<tr class="tablchet" >
		<td align=right width=200px class="tablchet"><?php echo JText::_('Send_copy');?></td>
		<td class="tablchet" ><input name="copyemail" type="checkbox" CHECKED /></td>
	</tr>
	<tr class="tablchet" >
		<td align=right colspan=2 class="tablchet"><span class="textwarn">*</span><?php echo JText::_('Mandatory');?></td>
	</tr>
	<tr class="tablchet" >
		<td align=right width=200px class="tablchet">&nbsp;</td>
		<td class="tablchet" >
			<?php 
			$user = JFactory::getUser();
			if ( $this->params->get('usecaptcha') != 0 && ($this->params->get('usecaptchareg') == 1 || $this->params->get('usecaptchareg') == 0 && $user->get('id')==0  ))
			{
				if(!version_compare(JVERSION, '3.0', 'ge'))
					JHTML::_('behavior.mootools');
				$plugin = JFactory::getApplication()->getParams()->get('captcha', JFactory::getConfig()->get('captcha'));
				$captcha = JCaptcha::getInstance($plugin );
				if ($captcha !== null)
				{
					echo '<p>'.JText::_('ENTER_CAPTCHA_CODE').'</p>';		
					echo $captcha->display('ip_userreg_captcha', 'ip_userreg_captcha', 'class="required"');
					echo '<br/>';
				}
			}
			?>
			<input name="ipricebt1" id="ipricebt1" type="button" class="btn btn-primary" onclick="ipricevalidate(this.form);" value="<?php echo JText::_('Send_order');?>" />
		</td>
	</tr>
</table>
</td></tr>
</table>

</div>

<input type="hidden" name="countitems" value="<?php echo count($this->items)?>" />
<input type="hidden" name="curr" value="<?php echo $this->curr->currcode?>" />
<input type="hidden" name="redir" value="<?php $uri = Uri::getInstance();  echo urlencode($uri->toString());?>" />
<?php if ($itemid) : ?>
	<input type="hidden" name="itemid" value="<?php echo $itemid?>" />
<?php endif;

?>
<input type="hidden" name="option" value="com_ipricecalc" />
<input type="hidden" name="view" value="price" />
<input type="hidden" name="task" value="submit" />
<center style="font-size:9px; margin-top:20px;"><a href="http://www.iprice-web.ru" target="_blank" rel="follow">Powered by IPrice</a></center>
<input type="hidden" name="itemno" value="1" />
<?php echo JHTML::_( 'form.token' ); ?>
</form>
<script language="javascript" type="text/javascript">
	initprice();
	check_event(false);
</script>	

