<?php
/**
 * @package     Joomla.Administrator
 * @copyright   Copyright (C) 2013 IPrice web solutions. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 */
 
defined('_JEXEC') or die;

require_once( JPATH_ADMINISTRATOR.'/components/com_ipricecalc/helpers/discount.php');	

class OrderhtmlHelper
{
	public static function & getOrder($id)
	{
		$db		= JFactory::getDbo();
		$query	= $db->getQuery(true);
		$query->select('ipo.*');
		$query->from('#__iprice_order_main AS ipo');
		$query->where(' id='.(int)$id);
		$db->setQuery($query);
		try
		{
			$order = $db->loadObject();
		}
		catch (RuntimeException $e)
		{
			JError::raiseWarning(500, $e->getMessage());
		}
		return $order;
	}
	
	public static function & getOrderItems( $orderno )
	{
		$db		= JFactory::getDbo();
		$query	= $db->getQuery(true);
		$query->select('ipoi.*');
		$query->from('#__iprice_order AS ipoi');
		$query->where(' orderno='.$orderno);

		$query->select('ipi.name,ipi.shortdesc, ipi.description ');
		$query->join('LEFT', '#__iprice_item AS ipi ON ipoi.itemid = ipi.id');

		$query->select('ipc.name as category ');
		$query->join('LEFT', '#__iprice_categories AS ipc ON ipi.catid = ipc.id');
		
		$db->setQuery($query);
		try
		{
			$orderitems = $db->loadObjectList();
		}
		catch (RuntimeException $e)
		{
			JError::raiseWarning(500, $e->getMessage());
		}
		return $orderitems;
	}
	
	public static function getOrderHTML ($id, $checkparams = true) {
		$mainframe = JFactory::getApplication();
			
		$order = OrderhtmlHelper::getOrder($id);
		if (!$order)
			return '';
		$items = OrderhtmlHelper::getOrderItems($order->orderno);
			
		$pparams = JComponentHelper::getParams('com_ipricecalc');
		$decimal = (int) $pparams->get('decimal','2');
		$decimalsep = $pparams->get('decimalsep','.');
		$thousandsep = $pparams->get('thousandsep',' ');
		$showprices = (int) $pparams->get('showpricesorder','1');
		$showcattotal = (int) $pparams->get('showcattotal','1');
		$zeropricetext = JText::_($pparams->get('zeropricemess',''));
		$aid	= JFactory::getUser()->get('id');
		if ( !$aid && (int)$pparams->get('showprices_registered',0) )
			$showprices = 0;
		
		$tcurr = JTable::getInstance('curr', 'IpricecalcTable');
		$curr = $tcurr->getCurr($order->currcode);
		$sym = trim($curr->symbol);
		if ($curr->symplace) {
		  $currmask = $sym.($curr->usespace == 1 ? " " : "" ).'%s';
		  $currmaskjs = "'".$sym."'+".($curr->usespace == 1 ? "' '+" : "" )."%s";
		}
		else {
		  $currmask = '%s'.($curr->usespace == 1 ? " " : "" ).$sym;
		  $currmaskjs = "%s".($curr->usespace == 1 ? "+' '" : "" )."+'".$sym."'";
		}

		$html = '';		
/*		
		$file_array = file( JPATH_COMPONENT_ADMINISTRATOR.'/helpers/ipricecalc_order.css' );
		$file_array = implode( "\n", $file_array );

		$html .= '<style type="text/css">';
		$html .= $file_array;
		$html .= '</style>';
	*/
		$html .= '<div style="font-family: Tahoma, Helvetica, sans-serif; width:100%;">';
		$html .= '<div style="font-size:14px; line-height:22px; width:100%;">';
		$html .= '<span style="font-size:20px; font-weight:bold;">'.JText::_('Order_num').' '.$order->orderno.'</span></br></br>';
		$html .= JText::_('Order_date').' '.JHTML::_('date',  $order->orderdate, JText::_('DATE_FORMAT_LC4') ).'</br>';
		if ($order->firm)
			$html .= JText::_('Order_company').' '.$order->firm.'</br>';
		$html .= JText::_('Order_person').' '.$order->fio.'</br>';
		$html .= JText::_('Order_email').' '.$order->email.'</br>';		
		$html .= JText::_('Order_phone').' '.$order->phone.'</br>';
		$html .= '<p>'.JText::_('Order_comments').' '.$order->comments.'</p></br>';
		$html .= '</div>';

		$i = -1;
		$curcatnum = -1;
		$itemnum = -1;
		$curcat = '';
		$itogorazdel = 0;
		$itogo = 0;

		$totalcolspan = 4;
		if (!$showprices)
			$totalcolspan = 3;
		
		
		$html .= '<table width="100%" border=0 align=center cellPadding=3 cellSpacing=0 valign="middle" >';		
		$headerHTML = '<tr style="height:20px; background-color:#75A3D3;color: #ffffff;font-weight:bold;"><td colspan="2" align=center style="padding: 5px;margin: 0px;">'.JText::_('Item_name');
		
		for ($ii=1;$ii<=5;$ii++) 
		{
			$caption = $pparams->get('captionfield'.$ii,'');
			if ($caption) {
				$headerHTML .= '<td align=center style="padding: 5px;">'.JText::_($caption).'</td>';
				$totalcolspan++;
			}
		}
		$headerHTML .= '</td><td align=center style="padding: 5px;margin: 0px;">'.JText::_('Items_count').'</td>' . 
		($showprices ? '<td align=center style="padding: 5px;margin: 0px;">'.JText::_('Cost').'</td>' : '') . '</tr>';
		$html .= $headerHTML;
		

		foreach ($items as $item) {
			$i++;
			$itemnum++;
			$itemtotalamount = $item->amount*$item->countitems;
		    if ($curcat != $item->category) {
				$curcatnum++;
				$itemnum = 0;
		   	
				if ($curcatnum>0) 
				{ 
					$html .= ($showprices && $showcattotal ? '<tr style="height:24px;background-color:#E4EEF8;color: #627484; font-weight: bold; border:1px ">' . 
					'<td colspan="'.($totalcolspan-1).'" align=right style="padding:2px 5px;margin: 0px;" >'.JText::_('Subtotals').' "'.$curcat.'" </td>' .
					'<td align="right" style="padding:2px 5px;margin: 0px;" >'.sprintf($currmask,number_format($itogorazdel,$decimal, $decimalsep, $thousandsep)).'</td></tr>' : '' ).
					'<tr><td colspan='.$totalcolspan.' align=right style="height:3px;" ></td></tr>';
				}
				$curcat = $item->category;
				$itogorazdel = $itemtotalamount;
				$html .= '<tr style="height:30px;background-color:#4C759F;color: #ffffff; font-weight: bold;font-size:18px;"><td colspan='.$totalcolspan.' style="padding: 5px; margin: 0px;" >'.$item->category.'</td></tr>';
				//$html .= $headerHTML;
			} else
				$itogorazdel += $itemtotalamount;
				
//			$itogo += $itemtotalamount;
			
			$html .= '<tr style="height:24px;color: #627484;" ><td width="30%" align="left" style="padding: 2px 5px;margin: 0px;">'.
				'<span style="font-weight: bold;">'.$item->name.'</span></td>'.
				'<td align="center" style="padding: 2px 5px;margin: 0px;">'.$item->shortdesc.'</td>';
				
			for ($ii=1;$ii<=5;$ii++) 
			{
				$caption = $pparams->get('captionfield'.$ii,'');
				if ($caption) 
				{ 
					$fieldname = 'field'.$ii; 
					$html .= '<td align="center" style="padding: 2px 5px;margin: 0px;">'.$item->$fieldname.'</td>';
				}
			}
				
		  	$html .= '<td width="10%" align="center" style="padding: 2px 5px;margin: 0px;">'.$item->countitems.'</td>';
			if ($showprices)
			{
				$html .= '<td width="15%" align="right" style="padding: 2px 5px;margin: 0px;">';
				if($zeropricetext && $item->amount==0)
					$html .= $zeropricetext;
				else
					$html .= sprintf($currmask,number_format($item->amount,$decimal, $decimalsep, $thousandsep));
				$html .= '</td>';
			}
			$html .= '</tr>';
			$html .=  '<tr style="color: #679ce1; font: -1;line-height:14px;text-transform: none;"><td colspan='.$totalcolspan.' align=left style="margin:0px;padding:5px;">'.$item->description.'</td></tr>';

		} //endforeach;
		
		$itogo = $order->totalamount;
		if ($showprices) 
		{
			if ($curcatnum>-1 && $showcattotal)
				$html .= '<tr style="height:24px;background-color:#E4EEF8;color: #627484; font-weight: bold;"><td colspan='.($totalcolspan-1).' align=right style="padding:2px 5px;margin: 0px;" >'.JText::_('Subtotals').' "'.$curcat.'" : </td>'.
					'<td align="right" style="padding:2px 5px;margin: 0px;" >'.sprintf($currmask,number_format($itogorazdel,$decimal, $decimalsep, $thousandsep)).'</td></tr>';
			if ($order->discratio!=0)
			{
				$discsum = $itogo/100*$order->discratio;
				$itogo = $itogo - $discsum;

				$html .= '<tr><td colspan='.$totalcolspan.' align=right style="height:3px;" ></td></tr>' . 
					'<tr style="height:24px;background-color:#E4EEF8;color: #627484; font-weight: bold;">'.
					'<td colspan='.($totalcolspan-1).' align="right" style="padding:2px 5px;margin: 0px;">'.JText::_('IP_DISCOUNT').' '.$order->discratio.'% :</td><td align="right" style="padding:2px 5px;margin: 0px;">'.sprintf($currmask,number_format($discsum,$decimal, $decimalsep, $thousandsep)).'</td></tr>';
			}
		}		
		
		$html .= '<tr><td colspan='.$totalcolspan.' align=right style="height:3px;" ></td></tr>' . 
			($showprices ? '<tr style="height:24px;background-color:#E4EEF8;color: #627484; font-weight: bold;">'.
			'<td colspan='.($totalcolspan-1).' align="right" style="padding:2px 5px;margin: 0px;">'.JText::_('Totals').'</td><td align="right" style="padding:2px 5px;margin: 0px;"><span style="color:#ca453d;">'.sprintf($currmask,number_format($itogo,$decimal, $decimalsep, $thousandsep)).'</span></td></tr>' : '' );
		if ($order->totalratio>0 && $showprices) 
		{
			if ($order->totalratioview==1)
				$totalratiodisplay = ($order->totalratio-1)*100 . '%';
			else 
				$totalratiodisplay = (string) $order->totalratio;
//			$itogo = $itogo * $order->totalratio;
			if ($order->showtotalratio)
				$html .= '<tr><td colspan='.($totalcolspan-1).' align=right style="height:3px;" ></td></tr><tr style="height:24px;background-color:#E4EEF8;color: #627484; font-weight: bold;">'.
					'<td colspan=3 align="right" style="padding:2px 5px;margin: 0px;">'.JText::_('Total_ratio').'</td><td align="right" style="padding:2px 5px;margin: 0px;">'.$totalratiodisplay.'</td></tr>';
			$html .= '<tr><td colspan='.($totalcolspan-1).' align=right style="height:3px;" ></td></tr><tr style="height:24px;background-color:#E4EEF8;color: #627484; font-weight: bold;">'.
				'<td colspan=3 align="right" style="padding:2px 5px;margin: 0px;">'.JText::_('Grand_total').'</td><td align="right" style="padding:2px 5px;margin: 0px;"><span style="color:#ca453d;">'.sprintf($currmask,number_format($order->grandtotal,$decimal, $decimalsep, $thousandsep)).'</span></td></tr>';
		}
		$html .= '</table>';
		$html .= '</div>';
		return $html;
	}
	
	public static function getOrderHTMLPage ($id) {
		$html = '<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd"><html><head><title>Order</title>'.
				'<meta http-equiv="Content-Type" content="text/html; charset=utf-8"></head><body>';
		$html .= OrderhtmlHelper::getOrderHTML ($id);
		$html .= '</body></html>';
		return $html;		
	}
	
	
}
?>