<?php

/**
 * @package		Joomla
 * @copyright	Copyright (C) 2013 IPrice web solutions. All rights reserved.
 * @license		GNU/GPL, see LICENSE.php
 */
 
// No direct access to this file
defined('_JEXEC') or die('Restricted access');

define ('IPRICE_VERSION','1.1.61');
 
/**
 * Script file of HelloWorld component
 */
class com_IpricecalcInstallerScript
{
        /**
         * method to install the component
         *
         * @return void
         */
        function install($parent) 
        {
                // $parent is the class calling this method
//                $parent->getParent()->setRedirectURL('index.php?option=com_ipricecalc');

			$language = JFactory::getLanguage();
			$lang = $language->get('tag');
			
			if ($lang == "ru-RU")
				install_ru();
			else
				install_en();
        }
 
        /**
         * method to uninstall the component
         *
         * @return void
         */
        function uninstall($parent) 
        {
                // $parent is the class calling this method
                //echo '<p>' . JText::_('COM_HELLOWORLD_UNINSTALL_TEXT') . '</p>';
				echo "Thank you for trying IPrice calculator LIGHT. The component is removed. If you have questions or comments, please contact the developer: support@iprice-web.ru";				
        }
 
        /**
         * method to update the component
         *
         * @return void
         */
        function update($parent) 
        {
                // $parent is the class calling this method
                //echo '<p>' . JText::sprintf('COM_HELLOWORLD_UPDATE_TEXT', $parent->get('manifest')->version) . '</p>';
        }
 
        /**
         * method to run before an install/update/uninstall method
         *
         * @return void
         */
        function preflight($type, $parent) 
        {
                // $parent is the class calling this method
                // $type is the type of change (install, update or discover_install)
                //echo '<p>' . JText::_('COM_HELLOWORLD_PREFLIGHT_' . $type . '_TEXT') . '</p>';
        }
		
		function runSQLfile($filepath) {
			$db = JFactory::getDBO();
			$query = file( $filepath );
			$query = implode( "\n", $query );
			$queries = $db->splitSql($query);			
			foreach($queries as $query){
				if (trim($query)) {
					$db->setQuery($query);
					try { $db->execute();	} catch (Exception $e) { echo '<font color="red">'.$e->getMessage().'</font>'."\n";}
				}
			}			
		}
 
        /**
         * method to run after an install/update/uninstall method
         *
         * @return void
         */
        function postflight($type, $parent) 
        {
			$db = JFactory::getDBO();
			$db->setQuery( 'SELECT count(id) FROM #__iprice_order_main' );
			$needupgrade = 0;
			
			try
			{
				$result = $db->loadResult();
			}
			catch (RuntimeException $e)
			{
				$needupgrade = 1;
			}
			if ($needupgrade) {
					$this->runSQLfile(JPATH_ADMINISTRATOR.'/components/com_ipricecalc/sql/updates/1.1.6.sql');
			}				
			
//update from LIGHT versions com_ipricecalcL (1.1.6)
			$db = JFactory::getDBO();
			$db->setQuery( 'SELECT varvalue FROM #__iprice_config where varname="version"' );
			try
			{
				$ver = $db->loadResult();
			}
			catch (RuntimeException $e)
			{
				$ver = '';
			}
			if ($ver === '1.1.6') {
				$this->runSQLfile(JPATH_ADMINISTRATOR.'/components/com_ipricecalc/sql/updates/1.1.7.sql');
			}
			

// update version			
			$query = 'insert into #__iprice_config (varname, varvalue) values ("version","'.IPRICE_VERSION.'") ON DUPLICATE KEY UPDATE varvalue="'.IPRICE_VERSION.'"';
			$db->setQuery( $query );
			$db->execute();
			
// set default data in SQL tables			
			$this->runSQLfile(JPATH_ADMINISTRATOR.'/components/com_ipricecalc/sql/default_values.sql');
             //echo '<p>' . JText::_('COM_HELLOWORLD_POSTFLIGHT_' . $type . '_TEXT') . '</p>';
        }
}


function  install_ru() {
?>
Спасибо за использование IPrice calculator LIGHT.
<div id="cf-container">
<div class="cf-box">
<p>
</p>
IPrice calculator LIGHT - компонент для Joomla. Позволяет организовать на сайте он-лайн калькуляцию цен, а так же интерактивный прайс-лист с формой заказа с онлайн-пересчетом сумм.
<p>Для подробной информации о компоненте посетите официальную страницу компонента
<a href="http://iprice-web.ru/ru/products/iprice-light-overview" target="blank" title="Visit iprice-web.ru">
http://iprice-web.ru/ru/products/iprice-light-overview</a>.</p>
<p>Для получения новостей о выходе новых версий посетите страницу новостей
<a href="http://iprice-web.ru/ru/news" target="blank" >
http://iprice-web.ru/ru/news</a>.</p>
<p>
<strong>Так же обратите внимание на более функциональные коммерческие версии:</strong> </p>
<ul>
<li><strong><a href="http://iprice-web.ru/ru/products/iprice-free-overview" target="blank">IPrice calculator</a> - мини-магазин для Joomla с возможностью использовать корзину заказа, 2 вида списка товаров - прайс-лист и каталог и пр.</strong></li>
<li><strong><a href="http://iprice-web.ru/ru/products/iprice-minimart-overview" target="blank">IPrice minimart</a> - полноценный магазин для Joomla: страница товара, способы оплаты и доставки и многое другое.</strong></li>
</ul>

</div>
</div>
<?php
}

function  install_en() {
?>
Thank you for using IPrice calculator LIGHT.
<div id="cf-container">
<div class="cf-box">
<p>
</p>
IPrice calculator LIGHT is the Joomla component for quota calculation and organizing price-list of items with order form and "on-fly" calculation of totals.
<p>For more details visit the official page of the component 
<a href="http://iprice-web.ru/en/products/iprice-light-overview" target="blank" title="Visit iprice-web.ru">
http://iprice-web.ru/en/products/iprice-light-overview</a>.</p>
<p>For news on new versions, visit the news page 
<a href="http://iprice-web.ru/en/news" target="blank" >
http://iprice-web.ru/en/news</a>.</p>
<p>
<strong>Also pay attention to more functional and powerfull commercial versions:</strong> </p>
<ul>
<li><strong><a href="http://iprice-web.ru/en/products/iprice-free-overview" target="blank">IPrice calculator</a> - mini online store for Joomla with the ability to use a shoppping cart, 2 types of product list - price list and catalog, etc..</strong></li>
<li><strong><a href="http://iprice-web.ru/en/products/iprice-minimart-overview" target="blank">IPrice minimart</a> - a full-featured online store for Joomla: product page, payment and delivery methods, and much more.</strong></li>
</ul>

</div>
</div>
<?php
}
?>

