<?php
/**
 * @package     Joomla.Administrator
 * @copyright   Copyright (C) 2013 IPrice web solutions. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 */

defined('_JEXEC') or die;

class IpricecalcViewCurr extends JViewLegacy
{
	protected $form;
	protected $item;
	protected $state;

	public function display($tpl = null)
	{
		$this->form		= $this->get('Form');
		$this->item		= $this->get('Item');
		$this->state	= $this->get('State');

		if (count($errors = $this->get('Errors'))) {
			JError::raiseError(500, implode("\n", $errors));
			return false;
		}

		$this->addToolbar();
		parent::display($tpl);
	}

	protected function addToolbar()
	{
		JFactory::getApplication()->input->set('hidemainmenu', true);

		$user		= JFactory::getUser();
		$userId		= $user->get('id');
		$isNew		= ($this->item->currcode == '');
		$checkedOut	= !($this->item->checked_out == 0 || $this->item->checked_out == $userId);
		// Since we don't track these assets at the item level, use the category id.
		JToolbarHelper::title(JText::_( 'Currency_item' ) . ' : ' . ($isNew ? JText::_('New') : JText::_('Edit')), 'generic.png');

		// If not checked out, can save the item.
//		if (!$checkedOut && ($canDo->get('core.edit') || count($user->getAuthorisedCategories('com_banners', 'core.create')) > 0)) {
			JToolbarHelper::apply('curr.apply');
			JToolbarHelper::save('curr.save');

//			if ($canDo->get('core.create')) {
				JToolbarHelper::save2new('curr.save2new');
//		}

		// If an existing item, can save to a copy.
//		if (!$isNew && $canDo->get('core.create')) {
		if (!$isNew)
			JToolbarHelper::save2copy('curr.save2copy');
//		}

		if (empty($this->item->id))  {
			JToolbarHelper::cancel('curr.cancel');
		}
		else {
			JToolbarHelper::cancel('curr.cancel', 'JTOOLBAR_CLOSE');
		}
	}
}
?>