<?php
/**
 * @package     Joomla.Administrator
 * @subpackage  com_banners
 *
 * @copyright   Copyright (C) 2005 - 2012 Open Source Matters, Inc. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 */

defined('_JEXEC') or die;

JHtml::_('bootstrap.tooltip');
JHtml::_('behavior.multiselect');
JHtml::_('formbehavior.chosen', 'select');

$user		= JFactory::getUser();
$userId		= $user->get('id');
$listOrder	= $this->escape($this->state->get('list.ordering'));
$listDirn	= $this->escape($this->state->get('list.direction'));
$canOrder	= $user->authorise('core.edit.state', 'com_ipricecalc');
$params		= (isset($this->state->params)) ? $this->state->params : new JObject;
?>
<form action="<?php echo JRoute::_('index.php?option=com_ipricecalc&view=currs'); ?>" method="post" name="adminForm" id="adminForm">
<?php if(!empty( $this->sidebar)): ?>
	<div id="j-sidebar-container" class="span2">
		<?php echo $this->sidebar; ?>
	</div>
	<div id="j-main-container" class="span10">
<?php else : ?>
	<div id="j-main-container">
<?php endif;

echo JLayoutHelper::render('joomla.searchtools.default', array('view' => $this));

?>
		<div class="clearfix"></div>
		
		<table class="table table-striped" id="articleList">
			<thead>
				<tr>
					<th width="1%" class="nowrap center">
						<?php echo JHtml::_('grid.checkall'); ?>
					</th>
					<th width="1%" class="nowrap center">
						<?php echo JHtml::_('searchtools.sort', 'JSTATUS', 'published', $listDirn, $listOrder); ?>
					</th>
					<th>
						<?php echo JHtml::_('searchtools.sort', 'Currency_code', 'currcode', $listDirn, $listOrder); ?>
					</th>
					<th class="center">
						<?php echo JHtml::_('searchtools.sort', 'Exchange_rate', 'rate', $listDirn, $listOrder); ?>
					</th>
					<th class="center">
						<?php echo JHtml::_('searchtools.sort', 'Currency_symbol', 'symbol', $listDirn, $listOrder); ?>
					</th>
					<th class="center">
						<?php echo JHtml::_('searchtools.sort', 'Update_date', 'currdate', $listDirn, $listOrder); ?>
					</th>
				</tr>
			</thead>
			<tfoot>
				<tr>
					<td colspan="6">
						<?php echo $this->pagination->getListFooter(); ?>
					</td>
				</tr>
			</tfoot>
			<tbody>
			<?php foreach ($this->items as $i => $item) :
				$canCheckin = $item->checked_out == $userId || $item->checked_out == 0;
				?>
				<tr class="row<?php echo $i % 2; ?>" sortable-group-id="1">
					<td class="center hidden-phone">
					<?php
							echo JHtml::_('grid.id', $i, $item->id); 
					?>
					</td>
					<td class="center">
						<?php echo JHtml::_('jgrid.published', $item->published, $i, 'currs.', true, 'cb'); ?>
					</td>
					<td class="nowrap has-context">
						<div class="pull-left">
							<?php if ($item->checked_out) : ?>
								<?php echo JHtml::_('jgrid.checkedout', $i, @$item->editor, $item->checked_out_time, 'currs.', $canCheckin); ?>
							<?php endif; ?>
							<a href="<?php echo JRoute::_('index.php?option=com_ipricecalc&task=curr.edit&id='.$item->id); ?>">
							<?php echo $this->escape($item->currcode); ?></a>
						</div>
					</td>
					<td class="center">
						<?php echo $item->rate; ?>
					</td>
					<td class="center">
						<?php echo $item->symbol; ?>
					</td>
					<td class="center">
						<?php echo $item->currdate; ?>
					</td>
				</tr>
				<?php endforeach; ?>
			</tbody>
		</table>

		<input type="hidden" name="task" value="" />
		<input type="hidden" name="boxchecked" value="0" />
		<?php echo JHtml::_('form.token'); ?>
	</div>
</form>
