<?php
/**
 * @package     Joomla.Administrator
 * @copyright   Copyright (C) 2013 IPrice web solutions. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 */

defined('_JEXEC') or die;

class IpricecalcViewCurrs extends JViewLegacy
{
	protected $items;
	protected $pagination;
	protected $state;

	public function display($tpl = null)
	{
		$this->state		= $this->get('State');
		$this->items		= $this->get('Items');
		$this->pagination	= $this->get('Pagination');
		$this->filterForm    = $this->get('FilterForm');
		
		if (count($errors = $this->get('Errors')))
		{
			JError::raiseError(500, implode("\n", $errors));
			return false;
		}
		
		$this->addToolbar();
		if(version_compare(JVERSION, '4.0', 'le'))
			$this->sidebar = JHtmlSidebar::render();
		
		parent::display($tpl);
	}

	protected function addToolbar()
	{
		$canDo = IpricecalcHelper::getActions();
		$user = JFactory::getUser();
		// Get the toolbar object instance
		$bar = JToolBar::getInstance('toolbar');

		JToolbarHelper::title(JText::_('IPrice_currency_Manager'), 'generic.png');
//		if (count($user->getAuthorisedCategories('com_ipricecalc', 'core.create')) > 0)
			JToolbarHelper::addNew('curr.add');

//		if (($canDo->get('core.edit')))
			JToolbarHelper::editList('curr.edit');
			
			JToolbarHelper::publish('currs.publish', 'JTOOLBAR_PUBLISH', true);
			JToolbarHelper::unpublish('currs.unpublish', 'JTOOLBAR_UNPUBLISH', true);
			

//		if ($canDo->get('core.delete'))
			JToolbarHelper::deleteList('DELETE_ITEM', 'currs.delete', 'JTOOLBAR_DELETE');

//		if ($canDo->get('core.admin'))
			JToolbarHelper::preferences('com_ipricecalc');
			
		if(version_compare(JVERSION, '3.0', 'ge'))
			JHtmlSidebar::setAction('index.php?option=com_ipricecalc&view=currs');
	}

	protected function getSortFields()
	{
		return array(
			'a.currcode' => JText::_('Currency_code'),
		);
	}
	
}
?>