<?php
/**
 * @package     Joomla.Administrator
 * @subpackage  com_banners
 *
 * @copyright   Copyright (C) 2005 - 2012 Open Source Matters, Inc. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 */

defined('_JEXEC') or die;

JHtml::_('bootstrap.tooltip');
JHtml::_('behavior.multiselect');
JHtml::_('formbehavior.chosen', 'select');

$mainframe = JFactory::getApplication();
$pparams = JComponentHelper::getParams('com_ipricecalc');
$currcode = $pparams->get('curr','RUR');
$tcurr = JTable::getInstance('curr', 'IpricecalcTable');
$curr = $tcurr->getCurr($currcode);
$sym = trim($curr->symbol);
if ($curr->symplace) {
  $currmask = $sym.($curr->usespace == 1 ? " " : "" ).'%s';
  $currmaskjs = "'".$sym."'+".($curr->usespace == 1 ? "' '+" : "" )."%s";
}
else {
  $currmask = '%s'.($curr->usespace == 1 ? " " : "" ).$sym;
  $currmaskjs = "%s".($curr->usespace == 1 ? "+' '" : "" )."+'".$sym."'";
}

$user		= JFactory::getUser();
$userId		= $user->get('id');
$listOrder	= $this->escape($this->state->get('list.ordering'));
$listDirn	= $this->escape($this->state->get('list.direction'));
$canOrder	= $user->authorise('core.edit.state', 'com_ipricecalc');
$params		= (isset($this->state->params)) ? $this->state->params : new JObject;
$saveOrder	= $listOrder == 'ipc.ordering,ipi.ordering';
if ($saveOrder)
{
	$saveOrderingUrl = 'index.php?option=com_ipricecalc&task=items.saveOrderAjax&tmpl=component';
	JHtml::_('sortablelist.sortable', 'articleList', 'adminForm', strtolower($listDirn), $saveOrderingUrl);
}
?>
<form action="<?php echo JRoute::_('index.php?option=com_ipricecalc&view=items'); ?>" method="post" name="adminForm" id="adminForm">
<?php if(!empty( $this->sidebar)): ?>
	<div id="j-sidebar-container" class="span2">
		<?php echo $this->sidebar; ?>
	</div>
	<div id="j-main-container" class="span10">
<?php else : ?>
	<div id="j-main-container">
<?php endif;

	echo JLayoutHelper::render('joomla.searchtools.default', array('view' => $this));
?>

		<div class="clearfix"></div>

		<table class="table table-striped" id="articleList">
			<thead>
				<tr>
					<th width="1%" class="nowrap center hidden-phone">
						<?php echo JHtml::_('searchtools.sort', '', 'ordering', $listDirn, $listOrder, null, 'asc', 'JGRID_HEADING_ORDERING', 'icon-menu-2'); ?>
					</th>
					<th width="1%" class="nowrap center">
						<?php echo JHtml::_('grid.checkall'); ?>
					</th>
					<th width="1%" class="nowrap center">
						<?php echo JHtml::_('searchtools.sort', 'JSTATUS', 'ipi.published', $listDirn, $listOrder); ?>
					</th>
					<th>
						<?php echo JHtml::_('searchtools.sort', 'NAME', 'ipi.name', $listDirn, $listOrder); ?>
					</th>
					<th width="10%" class="title">
						<?php echo JHtml::_('searchtools.sort', 'COST', 'ipi.cost', $listDirn, $listOrder); ?>
					</th>
					<th width="5%" class="title">
						<?php echo JHtml::_('searchtools.sort', 'RADIO_GROUP_TITLE', 'ipi.radiogroup', $listDirn, $listOrder); ?>
					</th>
					<th width="1%" class="nowrap center hidden-phone">
						<?php echo JHtml::_('searchtools.sort', 'JGRID_HEADING_ID', 'ipi.id', $listDirn, $listOrder); ?>
					</th>
				</tr>
			</thead>
			<tfoot>
				<tr>
					<td colspan="7">
						<?php echo $this->pagination->getListFooter(); ?>
					</td>
				</tr>
			</tfoot>
			<tbody>
			<?php foreach ($this->items as $i => $item) :
				$canCreate  = $user->authorise('core.create',     'com_ipricecalc');
				$canEdit    = $user->authorise('core.edit',       'com_ipricecalc');
				$canCheckin = $user->authorise('core.manage',     'com_ipricecalc') || $item->checked_out == $userId || $item->checked_out == 0;
				$canChange  = $user->authorise('core.edit.state', 'com_ipricecalc') && $canCheckin;
				?>
				<tr class="row<?php echo $i % 2; ?>" sortable-group-id="<?php echo $item->catid?>">
					<td class="order nowrap center hidden-phone">
					<?php 
						$iconClass = '';
						if (!$canChange)
							$iconClass = ' inactive';
						elseif (!$saveOrder)
							$iconClass = ' inactive tip-top hasTooltip" title="' . JHtml::_('tooltipText', 'JORDERINGDISABLED');
						?>
						<span class="sortable-handler<?php echo $iconClass; ?>">
							<span class="icon-menu" aria-hidden="true"></span>
						</span>
						<?php if ($canChange && $saveOrder) : ?>
							<input type="text" style="display:none" name="order[]" size="5"
								value="<?php echo $item->ordering; ?>" class="width-20 text-area-order" />
						<?php endif; ?>
					</td>
					<td class="center hidden-phone">
						<?php echo JHtml::_('grid.id', $i, $item->id); ?>
					</td>
					<td class="center">
						<?php echo JHtml::_('jgrid.published', $item->published, $i, 'items.', $canChange, 'cb'); ?>
					</td>
					<td class="nowrap has-context">
						<div class="pull-left">
							<?php if ($item->checked_out) : ?>
								<?php echo JHtml::_('jgrid.checkedout', $i, @$item->editor, $item->checked_out_time, 'items.', $canCheckin); ?>
							<?php endif; ?>
							<?php if ($canEdit) : ?>
								<a href="<?php echo JRoute::_('index.php?option=com_ipricecalc&task=item.edit&id='.(int) $item->id); ?>">
									<?php echo $this->escape($item->name); ?></a>
							<?php else : ?>
								<?php echo $this->escape($item->name); ?>
							<?php endif; ?>
							<div class="small">
								<?php echo $this->escape($item->category); ?>
							</div>
						</div>
						<?php if(version_compare(JVERSION, '3.0', 'ge')) :  ?>
						<div class="pull-left">
							<?php
								// Create dropdown items
								JHtml::_('dropdown.edit', $item->id, 'item.');
								JHtml::_('dropdown.divider');
								if ($item->published) :
									JHtml::_('dropdown.unpublish', 'cb' . $i, 'items.');
								else :
									JHtml::_('dropdown.publish', 'cb' . $i, 'items.');
								endif;
								// render dropdown list
								echo JHtml::_('dropdown.render');
								?>
						</div>
						<?php endif; ?>
					</td>
					<td align="right">
						<?php echo sprintf($currmask,$item->cost); ?>
					</td>
					<td align="center">
						<?php echo $item->radiogroup; ?>
					</td>
					<td class="center hidden-phone">
						<?php echo $item->id; ?>
					</td>
				</tr>
				<?php endforeach; ?>
			</tbody>
		</table>

		<input type="hidden" name="task" value="" />
		<input type="hidden" name="boxchecked" value="0" />
		<?php echo JHtml::_('form.token'); ?>
	</div>
</form>
