<?php
/**
 * @package     Joomla.Administrator
 * @copyright   Copyright (C) 2013 IPrice web solutions. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 */

defined('_JEXEC') or die;

class IpricecalcViewOrders extends JViewLegacy
{
	protected $items;
	protected $pagination;
	protected $state;

	public function display($tpl = null)
	{
		$this->state		= $this->get('State');
		$this->items		= $this->get('Items');
		$this->pagination	= $this->get('Pagination');
		$this->filterForm    = $this->get('FilterForm');
		$this->activeFilters = $this->get('ActiveFilters');		
		
		// Check for errors.
		if (count($errors = $this->get('Errors')))
		{
			JError::raiseError(500, implode("\n", $errors));
			return false;
		}
		$this->addToolbar();
		if(version_compare(JVERSION, '4.0', 'le'))
			$this->sidebar = JHtmlSidebar::render();
		parent::display($tpl);
	}

	/**
	 * Add the page title and toolbar.
	 *
	 * @return  void
	 *
	 * @since   1.6
	 */
	protected function addToolbar()
	{
		$canDo = IpricecalcHelper::getActions();
		$user = JFactory::getUser();
		// Get the toolbar object instance
		$bar = JToolBar::getInstance('toolbar');

		JToolbarHelper::title(JText::_('IPrice_orders_Manager'), 'generic.png');

//		if ($canDo->get('core.delete'))
			JToolbarHelper::deleteList('DELETE_ITEM', 'orders.delete', 'JTOOLBAR_DELETE');

//		if ($canDo->get('core.admin'))
			JToolbarHelper::preferences('com_ipricecalc');
			
		if(version_compare(JVERSION, '3.0', 'ge'))
			JHtmlSidebar::setAction('index.php?option=com_ipricecalc&view=orders');
	}

	/**
	 * Returns an array of fields the table can be sorted by
	 *
	 * @return  array  Array containing the field name to sort by as the key and display text as value
	 *
	 * @since   3.0
	 */
	protected function getSortFields()
	{
		return array(
			'ipo.orderno' => JText::_('ORDER_NUM'),
			'ipo.orderdate' => JText::_('ORDER_DATE'),
			'ipo.fio' => JText::_('ORDER_PERSON'),
			'ipo.firm' => JText::_('ORDER_COMPANY'),
			'ipo.email' => JText::_('EMAIL'),
			'ipo.grandtotal' => JText::_('TOTAL_AMOUNT'),
			'ipo.id' => JText::_('JGRID_HEADING_ID')
		);
	}
	
}
?>